org.apache.http.client.cache

## Interface HttpCacheUpdateCallback

    public interface HttpCacheUpdateCallback

Used for atomically updating entries in a `HttpCacheStorage` implementation. The current entry (if any) is fed into an implementation of this interface, and the new, possibly updated entry (if any) should be returned.

### Method Summary

Methods
`HttpCacheEntry` `update(HttpCacheEntry existing)` Returns the new cache entry that should replace an existing one.

### Method Detail

#### update

    HttpCacheEntry update(HttpCacheEntry existing)
                          throws IOException

Returns the new cache entry that should replace an existing one.

Parameters:
  `existing` - the cache entry currently in-place in the cache, possibly `null` if nonexistent
Returns:
  the cache entry that should replace it, again, possibly `null` if the entry should be deleted
Throws:
  `IOException`
Since:
  4.1